Subject: Re: [PATCH] [PPC32] ADMA support for PPC 440SPe processors.

From: Segher Boessenkool <[email-masked]>
Date: Thu, 22 Mar 2007 13:36:39 +0100

>>>>> BTW folks. Would it be hard to change your spe_ prefixes to 
>>>>> something
>>>>> else ? There's already enough confusion between the freescale SPE
>>>>> unit
>>>>> and the cell SPEs :-)
>>>>
>>>> Will you change _your_ prefixes too?  :-) :-)
>>>
>>> Which ones ? I'm not in charge of the fsl spe thingy nor the spe
>>> scheduler code :-)
>>
>> I meant the Cell code of course.
>
> Did you ever take a look at the cell code?

Not often, no.  I'm perfectly happy that I don't have
to touch that.

> The only place 'spe'
> is used in a prefix are a handfull of hardware datatstructures and the
> sony crap hypervisor hvcalls.  Everything else uses spu_ as a prefix.

That sounds nice.  There are slightly fewer things called
SPU than there are called SPE I imagine?  Or is it just a
historical misnomer.

> But yeah, grep is hard and life is a bitch.. :)

If I'm told there are all these other things in the kernel
called spe_ I don't feel obliged to grep for it to check
if this is really so.  Maybe I shouldn't trust people that
much, dunno.

Segher